List groups
curl --request GET \
--url https://api.example.com/api/projects/{projectId}/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/projects/{projectId}/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/projects/{projectId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"permissions": [],
"description": "<string>",
"filePermissions": [
{
"actions": [],
"id": "<string>",
"patterns": "<string>"
}
],
"roleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>"
}
}
],
"paginate": {
"current": 123,
"from": 123,
"to": 123,
"total": 123,
"pageSize": 123
}
}Group
List groups
Retrieve a paginated list of groups for a project, with optional search filtering.
GET
/
api
/
projects
/
{projectId}
/
groups
List groups
Authorizations
personalAccessTokeninternalAuth
Personal access token is obtained through your profile
Path Parameters
ID of the project to list groups for
Query Parameters
Search term to filter groups by name
Current page
Number of items per page
Was this page helpful?
⌘I